<?php session_start(); ?>
<html class="no-js" lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Gestión de citas</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../static/style.css" type="text/css" media="screen" />
        <link href='../lib/fullcalendar/core/main.css' rel='stylesheet' />
        <script src='../lib/fullcalendar/core/main.js'></script>
        <script src='../lib/fullcalendar/moment/main.min.js'></script>
        <script src="../static/jquery-3.5.1.min.js"></script>
        <script src="../static/moment.js"></script>
        <script src="calendar.js"></script>
    </head>
    <body>
        <header>
            <nav>
            <ul class="navbar-left">
                <li class="list"><a href="index.php">Página principal</a></li>
                <?php if(isset($_SESSION["user"])) : ?>
                <li class="list"><a href="user.php">Usuarios</a></li>
                <li class="list"><a href="patient.php">Pacientes</a></li>
                <li class="list"><a href="appointment.php">Citas</a></li>
                <li class="list"><a href="holiday.php">Vacaciones</a></li>
                <?php endif ?>
                <?php if($_SESSION["user_type"] == 2) : ?>
                <li class="list"><a href="report.php">Informes</a></li>
                <?php endif ?>
                <li class="list"><a href="login.php">Login</a></li>
            </ul>
            </nav>
        </header>
        <div class="response"></div>
        <div id="calendar" style="max-width: 700px; margin: auto;"></div>
    </body>
</html>
