<?php session_start(); ?>
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Gestión de pacientes</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../../static/style.css" type="text/css" media="screen" />
</head>
<body>
    <header>
        <nav>
            <ul class="navbar-left">
                <li class="list"><a href="index.php">Página principal</a></li>
                <?php if(isset($_SESSION["user"])) : ?>
                <li class="list"><a href="user.php">Usuarios</a></li>
                <li class="list"><a href="patient.php">Pacientes</a></li>
                <li class="list"><a href="appointment.php">Citas</a></li>
                <li class="list"><a href="holiday.php">Vacaciones</a></li>
                <?php endif ?>
                <?php if($_SESSION["user_type"] == 2) : ?>
                <li class="list"><a href="report.php">Informes</a></li>
                <?php endif ?>
                <li class="list"><a href="login.php">Login</a></li>
            </ul>
        </nav>
    </header>
    <?php
    include '../database.php';

    $pdo = connectDatabase();
    $data = fetchPatientData($pdo, $_GET["edit"]);
    ?>
    <form method="post" action="../patient_management.php">
        <div class="input-group">
            <label>Nombre</label>
            <input type="text" name="nombre" value="<?php echo $data[1]; ?>">
        </div>
        <div class="input-group">
            <label>Apellido</label>
            <input type="text" name="apellido" value="<?php echo $data[2]; ?>">
        </div>
        <div class="input-group">
            <label>fecha_de_nacimiento</label>
            <input type="password" name="fecha_de_nacimiento" value="<?php echo $data[3]; ?>">
        </div>
        <div class="input-group">
            <label>documento_identificativo</label>
            <input type="text" name="documento_identificativo" value="<?php echo $data[4]; ?>">
        </div>
        <div class="select-input">
            <label>tipo_documento</label>
            <select id="tipo_documento" name="tipo_documento">
                <option value="DNI">DNI</option>
                <option value="NIE">NIE</option>
            </select>
        </div>
        <div class="input-group">
            <label>direccion</label>
            <input type="text" name="direccion" value="<?php echo $data[6]; ?>">
        </div>
        <div class="input-group">
            <label>localidad</label>
            <input type="text" name="localidad" value="<?php echo $data[7]; ?>">
        </div>
        <div class="input-group">
            <label>provincia</label>
            <input type="text" name="provincia" value="<?php echo $data[8]; ?>">
        </div>
        <div class="input-group">
            <label>pais</label>
            <input type="text" name="pais" value="<?php echo $data[9]; ?>">
        </div>
        <div class="input-group">
            <button class="btn" type="submit" name="edit" >Editar</button>
        </div>
        <input type="hidden" name="id" value="<?php echo $_GET["edit"]; ?>">
    </form>
    <?php closeDatabase($pdo); ?>
</body>
