<?php session_start(); ?>
<html class="no-js" lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Gestión de usuarios</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../static/style.css" type="text/css" media="screen" />
        <script src="validate_user.js"></script>
    </head>
    <body>
    <header>
        <nav>
            <ul class="navbar-left">
                <li class="list"><a href="index.php">Página principal</a></li>
                <?php if(isset($_SESSION["user"])) : ?>
                <li class="list"><a href="user.php">Usuarios</a></li>
                <li class="list"><a href="patient.php">Pacientes</a></li>
                <li class="list"><a href="appointment.php">Citas</a></li>
                <li class="list"><a href="holiday.php">Vacaciones</a></li>
                <?php endif ?>
                <?php if($_SESSION["user_type"] == 2) : ?>
                <li class="list"><a href="report.php">Informes</a></li>
                <?php endif ?>
                <li class="list"><a href="login.php">Login</a></li>
            </ul>
        </nav>
    </header>
    </body>
    <form name="login_form" method="post" action="user_management.php" onsubmit="return validateLogin();">
        <div class="input-group">
            <label>usuario</label>
            <input type="text" name="usuario" value="">
        </div>
        <div class="input-group">
            <label>contraseña</label>
            <input type="password" name="contraseña" value="">
        </div>
        <div class="input-group">
            <button class="btn" type="submit" name="login">Iniciar sesión</button>
        </div>
    </form>
</html>
