<?php session_start(); ?>
<html class="no-js" lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Gestión de usuarios</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../static/style.css" type="text/css" media="screen" />
    </head>
    <body>
    <header>
        <nav>
            <ul class="navbar-left">
                <li class="list"><a href="index.php">Página principal</a></li>
                <?php if(isset($_SESSION["user"])) : ?>
                <li class="list"><a href="user.php">Usuarios</a></li>
                <li class="list"><a href="patient.php">Pacientes</a></li>
                <li class="list"><a href="appointment.php">Citas</a></li>
                <li class="list"><a href="holiday.php">Vacaciones</a></li>
                <?php endif ?>
                <?php if($_SESSION["user_type"] == 2) : ?>
                <li class="list"><a href="report.php">Informes</a></li>
                <?php endif ?>
                <li class="list"><a href="login.php">Login</a></li>
            </ul>
        </nav>
    </header>
        <div style="text-align: right; margin-top: 50px;">
            <a href="forms/user_create_form.html" class="create_btn" >Crear</a>
        </div>
        <table>
            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Usuario</th>
                    <th>Rol</th>
                    <th>Correo</th>
                    <th colspan="2">Acciones</th>
                </tr>
            </thead>
            <?php
            include 'database.php';

            $pdo = connectDatabase();

            if (isset($_GET["search"])) {
                $list = findUser($pdo, $_GET["search"]);
            } else {
                $list = listUsers($pdo);
            }

            foreach($list as $row) :
                   if(!$row[5]):
            ?>
                <tr>
                    <td><?php echo $row[0]; ?></td>
                    <td><?php echo $row[1]; ?></td>
                    <td><?php echo $row[2]; ?></td>
                    <td><?php echo $row[3]; ?></td>
                    <td>
                        <a href="forms/user_edit_form.php?edit=<?php echo $row[4]; ?>" class="edit_btn">Editar</a>
                    </td>
                    <td>
                        <a href="user_management.php?delete=<?php echo $row[4]; ?>" class="del_btn">Borrar</a>
                    </td>
                </tr>
            <?php endif ?>
            <?php endforeach ?>
            <?php closeDatabase($pdo); ?>
        </table>
        <div>
            <form method="post" action="user_management.php">
                <div class="search-group">
                    <input type="text" name="search_box" value="">
                </div>
                <div class="input-group">
                    <button class="btn" type="submit" name="search" >Buscar</button>
                </div>
            </form>
        </div>
        <?php if (isset($_GET["search"])):  ?>
            <div style="text-align: right; margin-top: 20px;">
                <a href="user.php" class="back_btn">Atrás</a>
            </div>
        <?php endif ?>
    </body>
</html>
